View Issue Details

IDProjectCategoryView StatusLast Update
0002489SymmetricDSBugpublic2016-09-02 10:17
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.7.0 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002489: DB2 AS400 create tables on initial load is reading views as indexes
DescriptionDb2 AS400 database reader is reading views on a table as indexes and as a result improperly creates DDL statements.
Steps To ReproduceEither run an initial load with create tables first parameter or export a table with views and create with indexes.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 15db65f9

2016-02-05 11:04:15

Hicks, Josh

Details Diff
0002489 - DB2 AS400 ddl reader meta data is listing views as indexes.
0002489
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DdlReader.java Diff File

Issue History

Date Modified Username Field Change
2016-02-05 11:01 josh-a-hicks New Issue
2016-02-05 11:01 josh-a-hicks Status new => assigned
2016-02-05 11:01 josh-a-hicks Assigned To => josh-a-hicks
2016-02-24 11:00 Changeset attached => SymmetricDS 3.7 15db65f9
2016-09-02 10:17 josh-a-hicks Status assigned => resolved
2016-09-02 10:17 josh-a-hicks Fixed in Version => 3.7.29
2016-09-02 10:17 josh-a-hicks Resolution open => fixed